package com.emr.dao;

import com.emr.entity.ArchivePrintinfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ArchivePrintinfoMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ArchivePrintinfo record);

    int insertSelective(ArchivePrintinfo record);

    ArchivePrintinfo selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ArchivePrintinfo record);

    int updateByPrimaryKey(ArchivePrintinfo record);

    List<ArchivePrintinfo> selectPrintCountByMasterId(@Param("masterIds") String masterIds);
}